#
# spec file for package wavpack
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           wavpack
License:        BSD3c
BuildRequires:  pkgconfig
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://www.wavpack.com/
Summary:        Free Hybrid Lossless Audio Compression Format
Version:        4.60.1
Release:        14.pm.25.3
Source:         %{name}-%{version}.tar.bz2
# Name used by third parties before openSUSE 10.3:
Provides:       WavPack = %{version}-%{release}
Requires:       libwavpack1 >= %{version}
Obsoletes:      WavPack < %version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and unique hybrid compression modes.
Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

By default, lossless mode WavPack acts just like a WinZip compressor
for audio files. However, unlike MP3 or WMA encoding which can affect
the sound quality, not a single bit of the original information is
lost, so there is no chance of degradation. This makes lossless mode
ideal for archiving audio material or any other situation where quality
is paramount. The compression ratio depends on the source material, but
generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both, a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users this
means never having to choose between lossless and lossy compression!



Authors:
--------
    David Bryant <david@wavpack.com>

%package -n libwavpack1
License:        BSD3c
Summary:        Free Hybrid Lossless Audio Compression Format
Group:          System/Libraries

%description -n libwavpack1
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.
Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip compressor
for audio files. However, unlike MP3 or WMA encoding which can affect
the sound quality, not a single bit of the original information is
lost, so there's no chance of degradation. This makes lossless mode
ideal for archiving audio material or any other situation where quality
is paramount. The compression ratio depends on the source material, but
generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users this
means never having to choose between lossless and lossy compression!



Authors:
--------
    David Bryant <david@wavpack.com>

%package devel
License:        BSD3c
Summary:        Free Hybrid Lossless Audio Compression Format
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel

%description devel
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.
Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip compressor
for audio files. However, unlike MP3 or WMA encoding which can affect
the sound quality, not a single bit of the original information is
lost, so there's no chance of degradation. This makes lossless mode
ideal for archiving audio material or any other situation where quality
is paramount. The compression ratio depends on the source material, but
generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users this
means never having to choose between lossless and lossy compression!



Authors:
--------
    David Bryant <david@wavpack.com>

%prep
%setup -q

%build
autoreconf -f -i
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
#not needed 
%{__rm} %{buildroot}%{_libdir}/*.la

%check
make check

%post -n libwavpack1 -p /sbin/ldconfig

%postun -n libwavpack1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# AUTHORS NEWS are empty
%doc ChangeLog README license.txt
%{_bindir}/*
%{_mandir}/man?/*

%files -n libwavpack1
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.*
%{_includedir}/wavpack
%{_libdir}/*.so
%{_libdir}/pkgconfig/wavpack.pc

%changelog
* Sun Mar  6 2011 reddwarf@opensuse.org
- Add libwavpack1 to baselibs.conf
* Wed Dec  8 2010 cristian.rodriguez@opensuse.org
- Update to version 4.60.1
  * fixed: filename specs in tag extractions failed in batch operations
  * fixed: prevent creation of APEv2 tags > 1 MB (which we can't read)
  * fixed: crash when decoding old WavPack files (pre version 4.0)
  * added: man pages to build system and updated with newer options
* Fri Apr 30 2010 meissner@suse.de
- buildrequire pkgconfig
* Thu Sep  4 2008 sbrabec@suse.cz
- Updated to version 4.50.1:
  * added dynamic noise shaping for improved hybrid quality
  * added option to merge blocks of similar redundancy
  * added ability to store and retrieve extra mode level
  * improved bitrate calculation
  * improved decoding of corrupt and nonconforming files
  * added optimize storage of LossyWAV output files
  * added transcoding API
  * added metadata writing API
  * added full Unicode support
  * multichannel and 24-bit audio improvements
  * portability and crash fixes
* Mon Aug 13 2007 crrodriguez@suse.de
- remove static libraries and useless libtool archive
* Fri Jul 27 2007 sbrabec@suse.cz
- Updated to version 4.41.0:
  * bug fixes
  * improvements
  * new features
  * new optimization code
  * for complete list of changes see ChangeLog
- Split package according to shared library packaging policy.
* Thu Mar 29 2007 sbrabec@suse.cz
- "comparison is always false" warnings fix (David Bryant).
* Wed Mar 28 2007 sbrabec@suse.cz
- New SuSE package, version 4.40.0, based on work of Toni Graffy
  <toni@links2linux.de>.
